| Home | Libraries | People | FAQ | More

# boost::asio::is_read_buffered< Stream > Class Template Reference

List of all members.

## Detailed Description

### template<typename Stream>
class boost::asio::is_read_buffered< Stream >

The is_read_buffered class is a traits class that may be used to determine whether a stream type supports buffering of read data.

## Static Public Attributes

static const bool | value
| The value member is true only if the Stream type supports buffering of read data.

## Member Data Documentation

template<typename Stream>

const bool boost::asio::is_read_buffered< Stream >::value `[static]`

The value member is true only if the Stream type supports buffering of read data.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff